古いEclipseをJava7に移行する際の変更箇所

eclipse.ini

-Dosgi.requiredJavaVersion=1.7

-vmargs の前に以下を追加

-vm
C:\Program Files\pleiades\java\7\bin\javaw.exe

あとはEclipseを起動してから設定で

「Java」→「インストール済のJRE」でJava7のJDKを選択

「Java」→「コンパイラー」からコンパイラー準拠レベルを「1.7」を選択